Würfel

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Part Box and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎中文(中国大陆)‎

Part Box.svg Part Würfel

Menüeintrag
Formteil → Primitives → Würfel
Arbeitsbereich
Part
Standardtastenkürzel
None
In der Version eingeführt
-
Siehe auch
Part Grundkörper


Beschreibung

Der Würfel-Befehl aus dem Part-Arbeitsbereich fügt einen parametrischen Quaderförmigen geometrischen Grundkörper in das aktive Dokument ein. Als Standardvorgabe wird der Würfel-Befehl einen 10x10x10mm-Würfel am Ursprung mit der Bezeichnung "Cube" einfügen. Diese Parameter können nach dem Hinzufügen verändert werden.

Formteil_Würfel

Anwendung

  • Klicke das Würfel-Symbol Part Box.png aus dem Part-Arbeitsbereich.
  • Alternativ kannst Du Formteil → Primitives → Würfel aus der Menüleiste wählen.

Optionen

  • Über den Eigenschaftseditor:
    • Length: Setzt die Länge des Würfel-Objekts (Vorgabe sind 10 mm).
    • Width: Setzt die Breite des Würfel-Objekts (Vorgabe sind 10 mm).
    • Height: Setzt die Höhe des Würfel-Objekts (Vorgabe sind 10 mm).
    • Placement: Gibt die Ausrichtung und Position des Würfels im 3D-Raum an. Siehe Placement. Der Referenzpunkt ist die vordere linke obere Ecke des Würfels.
    • Label: Das Label ist der zugeordnete Name der Operation. Dieser Name kann nach Belieben geändert werden.

Eigenschaften

Base

  • DATAPlacement: Gibt die Ausrichtung und Position des Würfels im 3D-Raum an. Siehe Placement. Der Referenzpunkt ist die vordere linke obere Ecke des Würfels.
  • DATALabel: Das Label ist der zugeordnete Name der Operation. Dieser Name kann nach Belieben geändert werden.

Box

  • DATALength: Die Länge des Würfel-Objekts in X-Richtung.
  • DATAWidth: Die Breite des Würfel-Objekts in Y-Richtung.
  • DATAHeight: Die Höhe des Würfel-Objekts in Z-Richtung.

Formteil_Würfel-Eigenschaften

Scripting

Der Würfel-Befehl kann mit Makros und von der Python-Konsole aus mithilfe der folgenden Funktion verwendet werden:

FreeCAD.ActiveDocument.addObject("Part::Box", "myBox")
  • Wobei "myBox" die Bezeichnung für das Würfel-Objekt ist.
  • Liefert das neu erstellte Objekt vom Typ 'Box' zurück.

Du kannst die Attribute des Box-Objekts ansehen und verändern. Du kannst beispielsweise die Werte für Länge, Breite und Höhe ändern.

FreeCAD.ActiveDocument.myBox.Length = 25
FreeCAD.ActiveDocument.myBox.Width = 15
FreeCAD.ActiveDocument.myBox.Height = 30

Du kannst die Position wählen mit:

FreeCAD.ActiveDocument.myBox.Placement = FreeCAD.Placement(FreeCAD.Vector(4, 6, 3), FreeCAD.Rotation(30, 45, 10))

FreeCAD-Version

Beginnend mit FreeCAD v0.14 wird ein Part-Box-Objekt in den GUI-Elementen als 'Cube' referenziert und die Standardbezeichnung ist "Cube".